<?php
// include "ver_sessao.php";
// include "conecta.php";
// include "configura.php";


//http://docstore.mik.ua/orelly/webprog/pcook/ch11_04.htm

function form($src) {


	cabecalho('Importar NFe',1);


	$img = "<img style='float:left; margin-top:5px' src=$src>";
	$muda_img = "<a href=javascript:muda_img()><img style='width:25px; margin-left:10px; margin-top:25px; float:left' src='cactus/imagens/atualizar.png' border=0></a>";

	// $c[] = cactux::campo('Placa:','placa_veiculo',$_POST[placa_veiculo],1);
	// $c[] = cactux::campo('Borderô:','bordero',$_POST[bordero],1);
	// $c[] = cactux::campo('vasio:','vasio','',1);
	$c[] = cactux::campo('Código:','codigo','',1,' onkeydown="javascript:if (event.keyCode == 13) document.getElementById(\'id_etiqueta\').focus()" ');
	// $c[] = cactux::campo('ID Etiqueta:','id_etiqueta','',3,' id="id_etiqueta" onkeydown="javascript:if (event.keyCode == 13) document.getElementById(\'chave_acesso\').focus()" ');
	$c[] = cactux::campo('Chave de Acesso do NF-e:','chave_acesso','24170523700488000165550010000000061080954558',3,' id="chave_acesso" onkeydown="javascript:if (event.keyCode == 13) document.cadastro.submit()" ');
	// $c[] = cactux::combo('Taxa:','estocagem',array('Não','Sim'),'',1);


	$botao = cactux::botao("Buscar",2,'submit_form()');	
	$status = cactux::msg_status(10);
	


	// cactux::abre_form();
	echo '<form style=\'margin: 0px;\' id=cadastro name="cadastro" method="post" action="/'.$CONFIGURA[PASTA_NFE].'/download_xml2.php" OnSubmit="javascript:return false;">';

	echo '<input type=hidden name="acao" value="faz_requisicao">';

	cactux::abre_fieldset('Importar NFe');
	cactux::linha_fieldset($img,$muda_img);
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($botao);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($status);
	

	cactux::fecha_form();
	cactux::acao_botao('form_reload','','bordero,placa_veiculo',"$_POST[bordero],$_POST[placa_veiculo]");


	javascript("

		function muda_img() {

			
			// var bordero = window.document.cadastro.bordero.value;
			// var placa_veiculo = window.document.cadastro.placa_veiculo.value;
			
			// window.document.form_reload.bordero.value = bordero;
			// window.document.form_reload.placa_veiculo.value = placa_veiculo;
			window.document.form_reload.submit();
		}


		function submit_form() {

			window.document.cadastro.submit();
		}



		/*
		function handleEnter(field, event) {
			var keyCode = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;
			if (keyCode == 13) {
				var i;
				var z;
				for (i = 0; i < field.form.elements.length; i++) if (field == field.form.elements[i]) break;
				z = i;
				while (field.form.elements[z + 1].type == 'hidden') z++;
				i = (z + 1) % field.form.elements.length;
				field.form.elements[i].focus();
				return false;
			}
			return true;
		}
		*/


	");

	
	rodape();
}



function busca_valor($string_procura,$html) {


	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,'</table>',$inicio+$t_string);
	$retorno = substr($html,$inicio+$t_string-1,$fim-$inicio-$t_string+2+8);
	$retorno = substr($retorno,1,-1);

	return $retorno;
}

function busca_valor2($string_procura,$html) {


	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,'</fields>',$inicio+$t_string);
	$retorno = substr($html,$inicio+$t_string-1,$fim-$inicio-$t_string+2+8);
	$retorno = substr($retorno,1,-1);

	return $retorno;
}

function busca_valor3($string_procura,$html) {


	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,'</table>',$inicio);
	// echo $inicio."-".$fim;exit;
	$retorno = substr($html,$inicio-1,$fim-$inicio+8+2);
	$retorno = substr($retorno,1,-1);

	return $retorno;
}



function variaveis($arq) {
global $SRC,$TOKEN,$EVENTVALIDATION,$VIEWSTATEGENERATOR,$VIEWSTATE,$CAPTCHA_SOM,$nProt;


	$html = file_get_contents($arq);
	
	
	$nProt = between($html,'<input type="hidden" id="nProt" value="','">');
	// ------------------------------------------------------------------------
	// PEGA O CAPTCHA
	// ------------------------------------------------------------------------
	$string_procura='id="ctl00_ContentPlaceHolder1_imgCaptcha" src=';
	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,' />',$inicio+$t_string);
	$SRC = substr($html,$inicio+$t_string,$fim-$inicio-$t_string);


	//VERIFICA SE OBTEVE O CAPTCHA
	if ( strlen($SRC) < 5000 ) {
		echo "<font color=red size=4>
			Falha ao obter o captcha! <br> Tente novamente em instantes!
		</font>";
		exit;
	}
	
	// echo "<img src=$SRC>";
	// form($SRC);
	// ------------------------------------------------------------------------


	// ------------------------------------------------------------------------
	// PEGA O __VIEWSTATE
	// ------------------------------------------------------------------------
	$string_procura='id="__VIEWSTATE" value=';
	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,' />',$inicio+$t_string);
	$VIEWSTATE = substr($html,$inicio+$t_string,$fim-$inicio-$t_string);
	$VIEWSTATE = substr($VIEWSTATE,1,-1);

	// ------------------------------------------------------------------------
	// PEGA O __VIEWSTATEGENERATOR
	// ------------------------------------------------------------------------
	$string_procura='id="__VIEWSTATEGENERATOR" value=';
	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,' />',$inicio+$t_string);
	$VIEWSTATEGENERATOR = substr($html,$inicio+$t_string,$fim-$inicio-$t_string);
	$VIEWSTATEGENERATOR = substr($VIEWSTATEGENERATOR,1,-1);
	
	// ------------------------------------------------------------------------
	// PEGA O __EVENTVALIDATION
	// ------------------------------------------------------------------------
	$string_procura='id="__EVENTVALIDATION" value=';
	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,' />',$inicio+$t_string);
	$EVENTVALIDATION = substr($html,$inicio+$t_string,$fim-$inicio-$t_string);
	$EVENTVALIDATION = substr($EVENTVALIDATION,1,-1);

	// ------------------------------------------------------------------------
	// PEGA O ContentPlaceHolder1_token
	// ------------------------------------------------------------------------
	$string_procura='id="ctl00_ContentPlaceHolder1_token" value=';
	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,' />',$inicio+$t_string);
	$TOKEN = substr($html,$inicio+$t_string,$fim-$inicio-$t_string);


	// ------------------------------------------------------------------------
	// PEGA O CAPTCHA_SOM
	// ------------------------------------------------------------------------
	$string_procura='id="ctl00_ContentPlaceHolder1_captchaSom" value=';
	$t_string = strlen($string_procura);
	$inicio = strpos($html,$string_procura);
	$fim = strpos($html,' />',$inicio+$t_string);
	$CAPTCHA_SOM = substr($html,$inicio+$t_string,$fim-$inicio-$t_string);
	$CAPTCHA_SOM = substr($CAPTCHA_SOM,1,-1);
	return "<img src=$SRC>";
}	




function faz_login() {
global $cookie_jar;
// log in


// remove the cookie jar
@unlink($cookie_jar);



	$header = array( 
		"Connection: keep-alive",
		"Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8",
		"Accept-Language: en-us,en;q=0.5",
		"Upgrade-Insecure-Requests: 1",
		"User-Agent: $_SERVER[HTTP_USER_AGENT]",
		"Referer: http://www.nfe.fazenda.gov.br/portal/consultaCompleta.aspx?tipoConteudo=mCK/KoCqru0=",
		"Accept-Encoding: gzip, deflate, sdch",
		"Accept-Language: en-US,en;q=0.8,pt;q=0.6"
	         );	
	
	$c = curl_init('http://www.nfe.fazenda.gov.br/portal/consulta.aspx');
	curl_setopt($c, CURLOPT_HTTPHEADER, $header);
	curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($c, CURLOPT_COOKIEJAR, $cookie_jar);
	$page = curl_exec($c);
	curl_close($c);
}




function pega_captcha() {
global $cookie_jar, $nome_arq;
	$postinfo= 'ctl00$ContentPlaceHolder1$btnVoltar=Nova Consulta';
	
	$c = curl_init('http://www.nfe.fazenda.gov.br/portal/consulta.aspx?tipoConsulta=completa&tipoConteudo=mCK/KoCqru0=');
	curl_setopt($c, CURLOPT_POST, 1);
	curl_setopt($c, CURLOPT_POSTFIELDS, $postinfo);
	curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($c, CURLOPT_COOKIEFILE, $cookie_jar);
	$page = curl_exec($c);
	// echo $page;
	curl_close($c);


	//VERIFICA SE COCECTOU COM O PORTAL DO CTE
	if ( strlen($page) < 1000 ) {
		echo "<font color=red size=4>
			Não foi possível conectar ao portal do CT-e! <br> Tente novamente em instantes!
		</font>";
		exit;
	}
	
	// echo $page;
	// exit;
	$fp = fopen($nome_arq,'w');
	fputs($fp,$page);
	fclose($fp);
	
	$img = variaveis($nome_arq);
	return $img;
}

function between($string, $start, $end){
    $out = explode($start, $string);

    if(isset($out[1]))
    {
        $string = explode($end, $out[1]);
        // echo $string[0];
        return $string[0];
    }

    return '';
}

function faz_requisicao() {
global $cookie_jar,$nome_arq;
global $SRC,$TOKEN,$EVENTVALIDATION,$VIEWSTATEGENERATOR,$VIEWSTATE,$CAPTCHA_SOM,$nProt;

	variaveis($nome_arq);

// $CHAVE = '35160801034009000429570000008651451354849068';
// $CAPTCHA = 'guurmo';



	if ( trim($_POST[chave_acesso])==''  || trim($_POST[codigo])=='' ) {

		$aviso = "<font color=red size=4>Preencha todos os campos!</font>";

		$comp .= "<form name=\"form_reload2\" method=POST action=\"\" >\r\n";

			$comp .= "<input type=hidden name=\"acao\" value=\"\"> \r\n";
			$comp .= "<input type=hidden name=\"bordero\" value=\"$_POST[bordero]\"> \r\n";
			$comp .= "<input type=hidden name=\"placa_veiculo\" value=\"$_POST[placa_veiculo]\"> \r\n";
			$comp .= "<input type=hidden name=\"msg_status\" value=\"$aviso\"> \r\n";

		$comp .= "</form>\r\n";	
		
		echo $comp;

		javascript("

			window.document.form_reload2.submit();
		");
		exit;
	}


	//REMOVE TODOS OS TRAÇOS E PONTOS
	$CHAVE = str_replace(array('.','-',' '), '', trim($_POST[chave_acesso]));
	$CAPTCHA = trim($_POST[codigo]);

	$postinfo .= '__EVENTTARGET=';
	$postinfo .= '&__EVENTARGUMENT=';
	$postinfo .= '&__EVENTVALIDATION='.urlencode($EVENTVALIDATION);
	$postinfo .= '&__VIEWSTATE='.urlencode($VIEWSTATE);
	$postinfo .= '&__VIEWSTATEGENERATOR='.$VIEWSTATEGENERATOR;
	$postinfo .= '&nProt='.$nProt;
	$postinfo .= '&ctl00$ContentPlaceHolder1$abaSelecionada=';
	$postinfo .= '&ctl00$txtPalavraChave=';
	$postinfo .= '&ctl00$ContentPlaceHolder1$captchaSom='.urlencode($CAPTCHA_SOM);
	$postinfo .= '&ctl00$ContentPlaceHolder1$token='.$TOKEN;
	$postinfo .= '&hiddenInputToUpdateATBuffer_CommonToolkitScripts=1';
	$postinfo .= '&ctl00$ContentPlaceHolder1$txtChaveAcessoCompleta='.$CHAVE;
	$postinfo .= '&ctl00$ContentPlaceHolder1$txtCaptcha='.$CAPTCHA;
	$postinfo .= '&ctl00$ContentPlaceHolder1$btnConsultar=Continuar';
	$postinfo .= '&ctl00$ContentPlaceHolder1$btnDownload=Download do documento*';

	$postinfo = str_replace("\"","",$postinfo);
//	echo $postinfo;
//	exit;
	
	$c = curl_init('http://www.nfe.fazenda.gov.br/portal/consulta.aspx?tipoConsulta=completa&tipoConteudo=mCK/KoCqru0=');
	curl_setopt($c, CURLOPT_POST, 1);
	curl_setopt($c, CURLOPT_POSTFIELDS, $postinfo);
	curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($c, CURLOPT_COOKIEFILE, $cookie_jar);
	curl_setopt($c, CURLOPT_FOLLOWLOCATION, true);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
	// curl_setopt($c, CURLOPT_CAINFO, 'birra_nordestina.pem');

	curl_setopt($c,CURLOPT_SSLCERT , 'birra_nordestina.pem');
    curl_setopt($c,CURLOPT_SSLCERTPASSWD , '1234');



	$page = curl_exec($c);

	// echo "onclick=\"return confirm('Para fazer o download, é necessário possuir um certificado de cliente. \\n Clique em Ok para iniciar o download.');\"";

	$page = str_replace('action="./consultaCompleta.aspx','action="http://www.nfe.fazenda.gov.br/portal/consultaCompleta.aspx',$page);
	// $page = str_replace("return confirm(&#39;Para fazer o download, é necessário possuir um certificado de cliente. \n Clique em Ok para iniciar o download.&#39;);",'',$page);

	// echo $page;

	$a_html_prod = explode('<td class="fixo-prod-serv-descricao">',$page);

	$a_page = explode('<legend class="titulo-aba">Dados do Emitente</legend>',$page);
	$html_emitente = $a_page[1];


	$nome_forn = between($html_emitente,'<label>Nome / Razão Social</label><span>','</span>');
	$fantasia_forn = between($html_emitente,'<label>Nome Fantasia</label><span>','</span>');
	$cnpj_forn = between($html_emitente,'<label>CNPJ</label><span>','</span>');
	$logradouro = between($html_emitente,'<label>Endereço</label><span>','</span>');
	$bairro = between($html_emitente,'<label>Bairro / Distrito</label><span>','</span>');
	$cep = between($html_emitente,'<label>CEP</label><span>','</span>');
	$a_cidade = between($html_emitente,'<label>Município</label><span>','</span>');
	$fone = between($html_emitente,'<label>Telefone</label><span>','</span>');
	$ie_forn = between($html_emitente,'<label>Inscrição Estadual</label><span>','</span>');
	$im_forn = between($html_emitente,'<label>Inscrição Municipal</label><span>','</span>');
	// $nome = between($html_emitente,'<label>Código de Regime Tributário</label><span>','</span>');

	$a_cidade = explode("-",$a_cidade);
	$id_cidade = trim($a_cidade[0]);

	$sql_cidade = selecionar('cidade','cida_tx_ibge',"$id_cidade"," LIMIT 1");
	if(num_linhas($sql_cidade)>0){
		$a_cidade = carrega_array($sql_cidade);
	}else{
		$a_cidade[0]='1';
	}

	$campos = array(enti_tx_status,enti_tx_nome,enti_tx_razao,enti_tx_cnpj,enti_tx_estadual,enti_tx_municipal,
				enti_tx_endereco,enti_tx_numero,enti_tx_bairro,enti_nb_cidade,enti_tx_cep,
				enti_tx_fone,enti_tx_tipo,enti_tx_pessoa);

	$valores = array('ativo',$fantasia_forn,$nome_forn,$cnpj_forn,$ie_forn,$im_forn,
					$logradouro,$numero,$bairro,$a_cidade[0],$cep,
					$fone,'Fornecedor','Pessoa Jurídica');


	$sql_forn = selecionar('entidade','enti_tx_status',"!inativo"," AND enti_tx_cnpj = '$cnpj_forn'");
	if(num_linhas($sql_forn)==0){
		inserir('entidade',$campos,$valores,1);
		$_POST[entidade] = ultimo_reg('entidade');
	}else{
		$a_forn = carrega_array($sql_forn);
		$_POST[entidade] = $a_forn[0];
	}



	$array_pis = explode('<legend class="toggle">PIS</legend><div class="toggable"><table class="box"><tr class="col-3"><td colspan="3">',$page);
	$array_cofins = explode('<legend class="toggle">COFINS</legend><div class="toggable"><table class="box"><tr class="col-3"><td colspan="3">',$page);
	$array_ipi = explode('<legend>Imposto Sobre Produtos Industrializados</legend><table class="box"><tr class="col-3">',$page);

	

	for($i=2;$i<count($a_html_prod);$i++){
		$a_prod = $a_html_prod[$i];

		$linha_pis = $array_pis[$i-1];
		$linha_cofins = $array_cofins[$i-1];
		$linha_ipi = $array_ipi[$i-1];


		$nome			=	between($a_prod,'<span>','</span>');
		$cod			=	between($a_prod,'<label>Código do Produto</label><span>','</span>');
		$ncm			=	between($a_prod,'<label>Código NCM</label><span>','</span>');
		$cests			=	between($a_prod,'<label>Código CEST</label><span>','</span>');
		$extipi			=	between($a_prod,'<label>Código EX da TIPI</label><span>','</span>');
		$cfop			=	between($a_prod,'<label>CFOP</label><span>','</span>');
		$cean			=	between($a_prod,'<label>Código EAN Comercial</label><span>','</span>');
		$und			=	between($a_prod,'<label>Unidade Comercial</label><span>','</span>');
		$qtde			=	between($a_prod,'<label>Quantidade Comercial</label><span>','</span>');
		$valor			=	between($a_prod,'<label>Valor unitário de comercialização</label><span>','</span>');
		$tribAproximado	=	between($a_prod,'<label>Valor Aproximado dos Tributos</label><span>','</span>');
		$ipi	=	between($a_prod,'<label>Valor Aproximado dos Tributos</label><span>','</span>');
		// $array_pis= between($a_prod,'<legend class="toggle">PIS</legend>','<legend');
		$array_cst_pis	 =	between($linha_pis,'<label>CST</label><span>','</span>');
		$aliquota_pis	 =	between($linha_pis,'<label>Alíquota</label><span>','</span>');
		$array_cst_cofins=	between($linha_cofins,'<label>CST</label><span>','</span>');
		$aliquota_cofins =	between($linha_cofins,'<label>Alíquota</label><span>','</span>');
		$array_cst_ipi	 =	between($linha_ipi,'<label>CST</label><span>','</span>');
		$aliquota_ipi	 =	between($linha_ipi,'<label>Alíquota</label><span>','</span>');

		$array_cst_pis = explode(' - ',$array_cst_pis);
		$cstPIS = $array_cst_pis[0];
		$array_cst_cofins = explode(' - ',$array_cst_cofins);
		$cstCOFINS = $array_cst_cofins[0];

		$sql_imposto = selecionar('impo_nb_id|imposto','impo_tx_status','ativo'," AND impo_tx_codigo='$ncm' AND impo_tx_tipo = 'ncm' LIMIT 1");
		$a_impo = carrega_array($sql_imposto);
		$sql_origem = selecionar('impo_nb_id|imposto','impo_tx_status','ativo'," AND impo_tx_codigo='$origem' AND impo_tx_tipo = 'origem' LIMIT 1");
		$a_orig = carrega_array($sql_origem);
		$sql_csosn = selecionar('impo_nb_id|imposto','impo_tx_status','ativo'," AND impo_tx_codigo='$cstCsosn' AND impo_tx_tipo = 'CST/CSOSN' LIMIT 1");
		$a_csosn = carrega_array($sql_csosn);
		$sql_pis = selecionar('impo_nb_id|imposto','impo_tx_status','ativo'," AND impo_tx_codigo='$cstPIS' AND impo_tx_tipo = 'CST/PIS/PASEP' LIMIT 1");
		$a_pis = carrega_array($sql_pis);
		$sql_cofins = selecionar('impo_nb_id|imposto','impo_tx_status','ativo'," AND impo_tx_codigo='$cstCOFINS' AND impo_tx_tipo = 'CST/COFINS' LIMIT 1");
		$a_cofins = carrega_array($sql_cofins);


		$sql_tributacao = selecionar('tributacao,imposto','impo_tx_status,trib_tx_status','ativo,ativo'," AND impo_tx_codigo='$ncm' AND impo_tx_tipo = 'ncm'");
		if(num_linhas($sql_tributacao)>0){
			$a_trib = carrega_array($sql_tributacao);
			atualizar('tributacao',
				array(trib_nb_empresa,trib_nb_imposto,trib_nb_cstOrigem,trib_nb_cstCsosn,trib_nb_cstPis,trib_tx_aliquotaPis,trib_nb_cstCofins,trib_tx_aliquotaCofins,trib_tx_status,trib_tx_cest),
				array(1,$a_impo[0],$a_orig[0],$a_csosn[0],$a_pis[0],$pPIS,$a_cofins[0],$pCOFINS,'ativo',$cests),
				$a_trib[0]
			);
		}else{
			
			inserir('tributacao',
				array(trib_nb_empresa,trib_nb_imposto,trib_nb_cstOrigem,trib_nb_cstCsosn,trib_nb_cstPis,trib_tx_aliquotaPis,trib_nb_cstCofins,trib_tx_aliquotaCofins,trib_tx_status,trib_tx_cest),
				array(1,$a_impo[0],$a_orig[0],$a_csosn[0],$a_pis[0],$pPIS,$a_cofins[0],$pCOFINS,'ativo',$cests),
				1
			);
		}


		$sql_lifo = selecionar('lifornecedor','lifo_tx_status','ativo'," AND lifo_tx_codigo = '$cod' AND lifo_nb_entidade = '$_POST[entidade]'");
		if(num_linhas($sql_lifo)>0){
			$a_lifo = carrega_array($sql_lifo);
			$id_produto = $a_lifo[lifo_nb_produto];
		}else{

			//-----------------------
			$campos = array(prod_tx_nome,prod_nb_categoria,prod_nb_unidade,prod_tx_valorCusto,prod_tx_valorVenda,prod_tx_qtde,prod_tx_ncm,prod_tx_cfop,prod_tx_cest,prod_tx_codbarras,prod_tx_extipi,prod_tx_totalTributo,prod_tx_status);
			$valores=array($nome,1,1,$valor,$valor,$qtde,$ncm,$cfop,$cests,$cean,$extipi,$porcentagem,'ativo');
			inserir('produto',$campos,$valores,1);
			$id_produto = ultimo_reg('produto');

			$cam = array(lifo_nb_entidade,lifo_nb_produto,lifo_tx_codigo,lifo_tx_data,lifo_nb_user,lifo_tx_status);
			$val = array($_POST[entidade],$id_produto,$cod,date("Y-m-d"),$_SESSION[user_nb_id],'ativo');
			inserir('lifornecedor',$cam,$val,1);
			//------------------------

			$id_produto = '';

		}


		$valores=array($_POST[id],$nome,$id_produto,$qtde,$valor,'ativo',$und,$ncm,$cfop,$cests,$cod);
		$campos=array(list_nb_compra,list_tx_produto,list_nb_produto,list_tx_qtde,list_tx_valor,list_tx_status,list_tx_unidade,list_tx_ncm,list_tx_cfop,list_tx_cest,list_tx_codigoFornecedor);
		inserir('listacompra',$campos,$valores,1);
		$ultimo_lista = ultimo_reg('listacompra');
		$a_list = carregar('listacompra',$ultimo_lista);
		$total += $a_list[list_tx_qtde] * $a_list[list_tx_valor];



		echo "nome -> !$nome!<br>";
		echo "cProd -> !$cod!<br>";
		echo "ncm -> !$ncm!<br>";
		echo "cests -> !$cests!<br>";
		echo "extipi -> !$extipi!<br>";
		echo "cfop -> !$cfop!<br>";
		echo "cean -> !$cean!<br>";
		echo "und -> !$und!<br>";
		echo "qtde -> !$qtde!<br>";
		echo "valor -> !$valor!<br>";
		echo "tribAproximado -> !$tribAproximado!<br>";
		echo "cst_pis -> !$array_cst_pis!<br>";
		echo "aliquota_pis -> !$aliquota_pis!<br>";
		echo "cst_cofins -> !$array_cst_cofins!<br>";
		echo "aliquota_cofins -> !$aliquota_cofins!<br>";
		echo "aliquota_ipi -> !$aliquota_ipi!<hr>";

	}

	echo $page;




	for($i=1;$i<count($a_html_prod);$i++){

	}



	exit;
	
}






$nome_arq = "importar_$_SESSION[user_nb_id].htm";
$cookie_jar = "c_$_SESSION[user_nb_id].txt";


// if( $_POST[acao] == '' ) {

// 	faz_login();	
// 	pega_captcha();

// } else {

// 	faz_requisicao();
// }


?>